/***************************************************************************
 *   Copyright (C) 2004-2007 by Giovanni Venturi                           *
 *   giovanni@ksniffer.org                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA  02110-1301, USA.          *
 ***************************************************************************/

#include <qtextedit.h>
#include <qclipboard.h>
#include <qpushbutton.h>
#include <qfont.h>

#include <kuniqueapplication.h>

#include "displaydata.h"

DisplayData::DisplayData( QWidget *parent, const char *name )
 : DisplayDataBase( parent, name )
{
}


DisplayData::~DisplayData()
{
}

void DisplayData::setText( const QString& text )
{
  m_textArea->setFont( QFont( "Monospace" ) );
  m_textArea->setText( text );
  connect(m_buttonCopy, SIGNAL(clicked()), this, SLOT(copyIntoClipboard()));
}


void DisplayData::stopped()
{
  accept();
}


void DisplayData::copyIntoClipboard()
{
  m_textArea->selectAll();
  QClipboard* cb = kapp->clipboard();
  cb->setText( m_textArea->text(), QClipboard::Clipboard );
}

#include "displaydata.moc"
